Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.io
Class SignerInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              org.bouncycastle.crypto.io.SignerInputStream

All Implemented Interfaces:
  java.io.Closeable

    public class SignerInputStream

extends java.io.FilterInputStream

Field Summary
`protected Signer` `signer`

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`SignerInputStream(java.io.InputStream stream, Signer signer)`

Method Summary
`Signer` `getSigner()`
`int` `read()`
`int` `read(byte[] b, int off, int len)`

Methods inherited from class java.io.FilterInputStream
`available, close, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### signer

    protected Signer signer

Constructor Detail

### SignerInputStream

    public SignerInputStream(java.io.InputStream stream,
                             Signer signer)

Method Detail

### read

    public int read()
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.FilterInputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.FilterInputStream`
  Throws:
    `java.io.IOException`

### getSigner

    public Signer getSigner()

Bouncy Castle Cryptography Library 1.45